Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UICollapsiblePanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractCollapsiblePanel
                          org.richfaces.component.UICollapsiblePanel

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource, org.richfaces.event.PanelToggleSource

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UICollapsiblePanel

extends AbstractCollapsiblePanel
implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.event.PanelToggleSource

The <rich:collapsiblePanel> component is a collapsible panel that shows or hides content when the header bar is activated. It is a simplified version of <rich:togglePanel> component.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UICollapsiblePanel.Properties`

Nested classes/interfaces inherited from class org.richfaces.component.AbstractCollapsiblePanel
`AbstractCollapsiblePanel.States`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UICollapsiblePanel()`

Method Summary
`String` | `getBodyClass()` Space-separated list of CSS style class(es) to be applied to the panel content.
`Object` | `getData()`
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`Object` | `getExecute()`
`String` | `getFamily()`
`String` | `getHeader()` Provides the text on the panel header.
`String` | `getHeaderClass()` Space-separated list of CSS style class(es) to be applied to the panel header.
`javax.el.MethodExpression` | `getItemChangeListener()` Occurs on the server side when an item is changed through Ajax using the server mode
`String` | `getLang()`
`String` | `getLeftCollapsedIcon()` The icon displayed on the left of the panel header when the panel is collapsed
`String` | `getLeftExpandedIcon()` The icon displayed on the left of the panel header when the panel is expanded
`String` | `getOnbeforeitemchange()` The client-side script method to be called before the item is changed.
`String` | `getOnbeforeswitch()` The client-side script method to be called before the panel state is switched
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnitemchange()` The client-side script method to be called after the item is changed.
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnswitch()` The client-side script method to be called after the panel state is switched
`Object` | `getRender()`
`String` | `getRightCollapsedIcon()` The icon displayed on the right of the panel header when the panel is collapsed
`String` | `getRightExpandedIcon()` The icon displayed on the right of the panel header when the panel is expanded
`String` | `getStatus()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`javax.el.MethodExpression` | `getToggleListener()` A Server-side MethodExpression to be called when the panel is toggled
`boolean` | `isCycledSwitching()` Applicable when cycling through the tabs.
`boolean` | `isExpanded()` When true, the panel is expanded, when false, the panel is collapsed
`boolean` | `isLimitRender()`
`void` | `setBodyClass(String bodyClass)`
`void` | `setCycledSwitching(boolean cycledSwitching)`
`void` | `setData(Object data)`
`void` | `setDir(String dir)`
`void` | `setExecute(Object execute)`
`void` | `setExpanded(boolean expanded)`
`void` | `setHeader(String header)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setLang(String lang)`
`void` | `setLeftCollapsedIcon(String leftCollapsedIcon)`
`void` | `setLeftExpandedIcon(String leftExpandedIcon)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforeitemchange(String onbeforeitemchange)`
`void` | `setOnbeforeswitch(String onbeforeswitch)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnitemchange(String onitemchange)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnswitch(String onswitch)`
`void` | `setRender(Object render)`
`void` | `setRightCollapsedIcon(String rightCollapsedIcon)`
`void` | `setRightExpandedIcon(String rightExpandedIcon)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setToggleListener(javax.el.MethodExpression toggleListener)`

Methods inherited from class org.richfaces.component.AbstractCollapsiblePanel
`addPanelToggleListener, broadcast, getActiveItem, getPanelToggleListeners, getValue, isActiveItem, isActiveItem, queueEvent, removePanelToggleListener, setValue, updateActiveName`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isImmediate, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValueExpression, substituteUnresolvedClientId, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.event.PanelToggleSource
`addPanelToggleListener, getPanelToggleListeners, removePanelToggleListener`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UICollapsiblePanel

    public UICollapsiblePanel()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractCollapsiblePanel`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getBodyClass

    public String getBodyClass()

  Description copied from class: `AbstractCollapsiblePanel`
  Space-separated list of CSS style class(es) to be applied to the panel content. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getBodyClass` in class `AbstractCollapsiblePanel`

### setBodyClass

    public void setBodyClass(String bodyClass)

### isCycledSwitching

    public boolean isCycledSwitching()

  Description copied from class: `AbstractTogglePanel`
  Applicable when cycling through the tabs. If "true", then when the last tab is active, cycling to next will activate the first tab, if "false", cycling to next will have not effect. The inverse applies for the first tab, and cycling to previous. Whether to Default: false

  Specified by:
    `isCycledSwitching` in class `AbstractCollapsiblePanel`

### setCycledSwitching

    public void setCycledSwitching(boolean cycledSwitching)

### getData

    public Object getData()

  Specified by:
    `getData` in class `AbstractTogglePanel`

### setData

    public void setData(Object data)

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`
  Specified by:
    `getDir` in class `AbstractCollapsiblePanel`

### setDir

    public void setDir(String dir)

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in class `AbstractTogglePanel`

### setExecute

    public void setExecute(Object execute)

### isExpanded

    public boolean isExpanded()

  Description copied from class: `AbstractCollapsiblePanel`
  When true, the panel is expanded, when false, the panel is collapsed

  Specified by:
    `isExpanded` in class `AbstractCollapsiblePanel`

### setExpanded

    public void setExpanded(boolean expanded)

  Specified by:
    `setExpanded` in class `AbstractCollapsiblePanel`

### getHeader

    public String getHeader()

  Description copied from class: `AbstractCollapsiblePanel`

  Provides the text on the panel header. The panel header is all that is visible when the panel is collapsed.

  Alternatively the header facet could be used in place of the header attribute. This would allow for additional styles and custom content to be applied to the tab.

  Specified by:
    `getHeader` in class `AbstractCollapsiblePanel`

### setHeader

    public void setHeader(String header)

### getHeaderClass

    public String getHeaderClass()

  Description copied from class: `AbstractCollapsiblePanel`
  Space-separated list of CSS style class(es) to be applied to the panel header. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getHeaderClass` in class `AbstractCollapsiblePanel`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Description copied from class: `AbstractTogglePanel`
  Occurs on the server side when an item is changed through Ajax using the server mode

  Specified by:
    `getItemChangeListener` in class `AbstractCollapsiblePanel`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`
  Specified by:
    `getLang` in class `AbstractCollapsiblePanel`

### setLang

    public void setLang(String lang)

### getLeftCollapsedIcon

    public String getLeftCollapsedIcon()

  Description copied from class: `AbstractCollapsiblePanel`
  The icon displayed on the left of the panel header when the panel is collapsed

  Specified by:
    `getLeftCollapsedIcon` in class `AbstractCollapsiblePanel`

### setLeftCollapsedIcon

    public void setLeftCollapsedIcon(String leftCollapsedIcon)

### getLeftExpandedIcon

    public String getLeftExpandedIcon()

  Description copied from class: `AbstractCollapsiblePanel`
  The icon displayed on the left of the panel header when the panel is expanded

  Specified by:
    `getLeftExpandedIcon` in class `AbstractCollapsiblePanel`

### setLeftExpandedIcon

    public void setLeftExpandedIcon(String leftExpandedIcon)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractTogglePanel`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforeitemchange

    public String getOnbeforeitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called before the item is changed.

  Specified by:
    `getOnbeforeitemchange` in class `AbstractCollapsiblePanel`

### setOnbeforeitemchange

    public void setOnbeforeitemchange(String onbeforeitemchange)

### getOnbeforeswitch

    public String getOnbeforeswitch()

  Description copied from class: `AbstractCollapsiblePanel`
  The client-side script method to be called before the panel state is switched

  Specified by:
    `getOnbeforeswitch` in class `AbstractCollapsiblePanel`

### setOnbeforeswitch

    public void setOnbeforeswitch(String onbeforeswitch)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`
  Specified by:
    `getOnclick` in class `AbstractCollapsiblePanel`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`
  Specified by:
    `getOndblclick` in class `AbstractCollapsiblePanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnitemchange

    public String getOnitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called after the item is changed.

  Specified by:
    `getOnitemchange` in class `AbstractCollapsiblePanel`

### setOnitemchange

    public void setOnitemchange(String onitemchange)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`
  Specified by:
    `getOnmousedown` in class `AbstractCollapsiblePanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`
  Specified by:
    `getOnmousemove` in class `AbstractCollapsiblePanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`
  Specified by:
    `getOnmouseout` in class `AbstractCollapsiblePanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`
  Specified by:
    `getOnmouseover` in class `AbstractCollapsiblePanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`
  Specified by:
    `getOnmouseup` in class `AbstractCollapsiblePanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnswitch

    public String getOnswitch()

  Description copied from class: `AbstractCollapsiblePanel`
  The client-side script method to be called after the panel state is switched

  Specified by:
    `getOnswitch` in class `AbstractCollapsiblePanel`

### setOnswitch

    public void setOnswitch(String onswitch)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in class `AbstractTogglePanel`

### setRender

    public void setRender(Object render)

### getRightCollapsedIcon

    public String getRightCollapsedIcon()

  Description copied from class: `AbstractCollapsiblePanel`
  The icon displayed on the right of the panel header when the panel is collapsed

  Specified by:
    `getRightCollapsedIcon` in class `AbstractCollapsiblePanel`

### setRightCollapsedIcon

    public void setRightCollapsedIcon(String rightCollapsedIcon)

### getRightExpandedIcon

    public String getRightExpandedIcon()

  Description copied from class: `AbstractCollapsiblePanel`
  The icon displayed on the right of the panel header when the panel is expanded

  Specified by:
    `getRightExpandedIcon` in class `AbstractCollapsiblePanel`

### setRightExpandedIcon

    public void setRightExpandedIcon(String rightExpandedIcon)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in class `AbstractTogglePanel`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`
  Specified by:
    `getStyle` in class `AbstractCollapsiblePanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`
  Specified by:
    `getStyleClass` in class `AbstractCollapsiblePanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`
  Specified by:
    `getTitle` in class `AbstractCollapsiblePanel`

### setTitle

    public void setTitle(String title)

### getToggleListener

    public javax.el.MethodExpression getToggleListener()

  Description copied from class: `AbstractCollapsiblePanel`
  A Server-side MethodExpression to be called when the panel is toggled

  Specified by:
    `getToggleListener` in class `AbstractCollapsiblePanel`

### setToggleListener

    public void setToggleListener(javax.el.MethodExpression toggleListener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.